## org.apache.taglibs.standard.tag.el.core
Class ImportTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.core.ImportSupport
                  org.apache.taglibs.standard.tag.el.core.ImportTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag, TryCatchFinally, ParamParent

    public class ImportTag

extends ImportSupport

A handler for <import> that accepts attributes as Strings and evaluates them as expressions at runtime.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.core.ImportSupport
`charEncoding, context, DEFAULT_ENCODING, url, VALID_SCHEME_CHARS`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ImportTag()` Constructs a new ImportTag.

Method Summary
`int` `doStartTag()` Default processing of the start tag returning EVAL_BODY_BUFFERED.
`void` `release()` Release state.
`void` `setCharEncoding(String charEncoding_)`
`void` `setContext(String context_)`
`void` `setUrl(String url_)`

Methods inherited from class org.apache.taglibs.standard.tag.common.core.ImportSupport
`addParameter, doCatch, doEndTag, doFinally, isAbsoluteUrl, setScope, setVar, setVarReader, stripSession`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### ImportTag

    public ImportTag()

  Constructs a new ImportTag. As with TagSupport, subclasses should not provide other constructors and are expected to call the superclass constructor

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the start tag returning EVAL_BODY_BUFFERED.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `ImportSupport`
  Returns:
    EVAL_BODY_BUFFERED
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doStartTag()`

### release

    public void release()

  Description copied from class: `BodyTagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `ImportSupport`
  See Also:
    `Tag.release()`

### setUrl

    public void setUrl(String url_)

### setContext

    public void setContext(String context_)

### setCharEncoding

    public void setCharEncoding(String charEncoding_)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.